Get k8s cluster price
curl --request GET \
--url https://api.gcore.com/cloud/v2/pricing/{project_id}/{region_id}/k8s/clusters/{cluster_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v2/pricing/{project_id}/{region_id}/k8s/clusters/{cluster_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/pricing/{project_id}/{region_id}/k8s/clusters/{cluster_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instances": [
{
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
}
],
"publicips": [
{
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
}
],
"total_price": {
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
},
"volumes": [
{
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
}
]
}Managed Kubernetes
Get k8s cluster price
Get the billing price for a cluster
GET
/
cloud
/
v2
/
pricing
/
{project_id}
/
{region_id}
/
k8s
/
clusters
/
{cluster_name}
Get k8s cluster price
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster name
Example:
"my-cluster"
Response
200 - application/json
OK
Pricing scheme for various resources
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response with prices per hour and per month
Show child attributes
Show child attributes
Example:
{
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
}
Show child attributes
Show child attributes
Was this page helpful?
⌘I